---
- name: Install haproxy
  ansible.builtin.package:
    name: haproxy
    state: present

- name: Deploy haproxy configuration
  ansible.builtin.template:
    src: haproxy.cfg
    dest: /etc/haproxy/haproxy.cfg
    owner: root
    group: root
    mode: "0644"

- name: Deploy haproxy certificate
  ansible.builtin.copy:
    dest: /etc/haproxy/haproxy.pem
    content: "{{ vault_tls_key_and_cert }}"
    owner: root
    group: haproxy
    mode: "0640"

- name: Enable webserver ports
  ansible.posix.firewalld:
    service: https
    permanent: true
    immediate: true
    state: enabled

- name: Ensure haproxy is enabled and running
  ansible.builtin.service:
    name: haproxy
    enabled: true
    state: started
